Bug 131924 - Too much CD swapping
Too much CD swapping
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 16:38 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-09-06 16:38:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Way too much disk swapping.  I'm using the standard FC2 cd's (1..4)
and it asked for 1...2...3...2...3...2...1...3... etc.

Why not just copy the necessary RPM's into /tmp and then install from
there?



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Install a fairly minimal FC2 and verify booting, dual-booting, etc.
2.Run system-config-packages and select lots of stuff (to roughly
workstation level)
3.Let 'er rip.
    

Additional info:
Comment 1 Jeremy Katz 2004-09-07 14:15:57 EDT
The order is defined by RPM ordering which is done to ensure that
things get installed in the order needed.  Unfortunately, this doesn't
always end up being optimal for the CDs.
Comment 2 Andrew D. Stadler 2004-09-09 18:09:53 EDT
OK, I'll try one more time (and I set severity to "enhancement").... 
I agree it's not a "bug" per se but how about a feature request /
improvement?  Wouldn't it be cool if you could preflight the RPM's,
build a dependency tree, and the copy the necessary files into /tmp? 
At worst case, this would take no more than 2 trips thru the necessary
CD's e.g. 1.2.3.4.3.2.1 which is better than the back-and-forth you
get today.
Comment 3 Matthew Miller 2005-04-26 12:24:33 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Andrew D. Stadler 2005-05-04 20:29:30 EDT
This would still be a nice enhancement as of FC3+


Note You need to log in before you can comment on or make changes to this bug.